Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsPlaylist

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsPlaylist

- All Implemented Interfaces:
    `FilterableManifest<HlsPlaylist>`
  Direct Known Subclasses:
    `HlsMasterPlaylist`, `HlsMediaPlaylist`

      public abstract class HlsPlaylist
      extends Object
      implements FilterableManifest<HlsPlaylist>

  Represents an HLS playlist.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `baseUri` | The base uri.
    `boolean` | `hasIndependentSegments` | Whether the media is formed of independent segments, as defined by the #EXT-X-INDEPENDENT-SEGMENTS tag.
    `List<String>` | `tags` | The list of tags in the playlist.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HlsPlaylist​(String baseUri, List<String> tags, boolean hasIndependentSegments)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.offline.FilterableManifest

      `copy`

- - ### Field Detail

    - #### baseUri

          public final String baseUri

      The base uri. Used to resolve relative paths.

    - #### tags

          public final List<String> tags

      The list of tags in the playlist.

    - #### hasIndependentSegments

          public final boolean hasIndependentSegments

      Whether the media is formed of independent segments, as defined by the #EXT-X-INDEPENDENT-SEGMENTS tag.

  - ### Constructor Detail

    - #### HlsPlaylist

          protected HlsPlaylist​(String baseUri,
                                List<String> tags,
                                boolean hasIndependentSegments)

      Parameters:
        `baseUri` - See `baseUri`.
        `tags` - See `tags`.
        `hasIndependentSegments` - See `hasIndependentSegments`.